local profileVersion = GetAddOnMetadata("LCI", "Version")

function LCI:Install_BasicMinimap()
	if not IsAddOnLoaded("BasicMinimap") then return end

	if LCI.db.global.addonProfileVersion.BasicMinimap ~= profileVersion then
	
		LCI_BasicMinimap_Install = {
			["borderB"] = 0,
			["calendar"] = "MiddleButton",
			["relpoint"] = "TOPRIGHT",
			["y"] = -33.9315185546875,
			["x"] = -56.9062652587891,
			["borderR"] = 0,
			["borderG"] = 0,
			["clock"] = false,
			["point"] = "TOPRIGHT",
			["tracking"] = "RightButton",
			["lock"] = true,
		}			
		
		for k,v in pairs(LCI_BasicMinimap_Install) do
			BasicMinimapDB[k] = v
			LCI.db.global.addonProfileVersion.BasicMinimap = profileVersion
		end
	end
end