local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_Broker_BagInfo()
	if LCI.db.global.addonProfileVersion.Broker_BagInfo ~= profileVersion then
	
		LCI_Broker_BagInfo_Install = {
			["profiles"] = {
				["Default"] = {
					["showFree"] = true,
				},
			},    
		}			
		
		for k,v in pairs(LCI_Broker_BagInfo_Install) do
			Broker_BagInfoDB[k] = v
			LCI.db.global.addonProfileVersion.Broker_BagInfo = profileVersion
		end
	end
	
	if Broker_BagInfoDB.profileKeys[CharInfo] == nil then
		tinsert(Broker_BagInfoDB.profileKeys,CharInfo)
		Broker_BagInfoDB.profileKeys[CharInfo] = "Default"
	elseif Broker_BagInfoDB.profileKeys[CharInfo] ~= "Default" then
		Broker_BagInfoDB.profileKeys[CharInfo] = "Default"
	end
end