local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_Broker_uClock()
	if LCI.db.global.addonProfileVersion.Broker_uClock ~= profileVersion then
	
		LCI_Broker_uClock_Install = {
			["namespaces"] = {	
        		["LibDualSpec-1.0"] = {    
        		},    
        	},    
			["profiles"] = {
				["Default"] = {
					["hourlyChime"] = false,
					["showClock"] = false,
				},
			},   
		}			
		
		for k,v in pairs(LCI_Broker_uClock_Install) do
			uClockDB[k] = v
			LCI.db.global.addonProfileVersion.Broker_uClock = profileVersion
		end
	end
	
	if uClockDB.profileKeys[CharInfo] == nil then
		tinsert(uClockDB.profileKeys,CharInfo)
		uClockDB.profileKeys[CharInfo] = "Default"
	elseif uClockDB.profileKeys[CharInfo] ~= "Default" then
		uClockDB.profileKeys[CharInfo] = "Default"
	end
end