local profileVersion = GetAddOnMetadata("LCI", "Version")

function LCI:Install_MoveAnything()
	if LCI.db.global.addonProfileVersion.MoveAnything ~= profileVersion then
	
		LCI_MoveAnything_Install = {
			["noMMMW"] = false,
			["characters"] = {
			},
			["alwaysShowNudger"] = false,
			["frameListRows"] = 18,
			["profiles"] = {
				["default"] = {
					["name"] = "default",
					["frames"] = {
						["DurabilityFrame"] = {
							["orgPos"] = {
								"TOPRIGHT", -- [1]
								"MinimapCluster", -- [2]
								"BOTTOMRIGHT", -- [3]
								-93, -- [4]
								0, -- [5]
							},
							["name"] = "DurabilityFrame",
							["pos"] = {
								"TOPRIGHT", -- [1]
								"MinimapCluster", -- [2]
								"BOTTOMRIGHT", -- [3]
								-1628.99993896484, -- [4]
								168.478637695313, -- [5]
							},
						},
						["VehicleSeatIndicator"] = {
							["orgPos"] = {
								"TOPRIGHT", -- [1]
								"MinimapCluster", -- [2]
								"BOTTOMRIGHT", -- [3]
								40, -- [4]
								15, -- [5]
							},
							["name"] = "VehicleSeatIndicator",
							["pos"] = {
								"TOPRIGHT", -- [1]
								"MinimapCluster", -- [2]
								"BOTTOMRIGHT", -- [3]
								-1448.95709228516, -- [4]
								168.162353515625, -- [5]
							},
						},
						["ObjectiveTrackerFrameMover"] = {
							["orgPos"] = {
								"TOPRIGHT", -- [1]
								"MinimapCluster", -- [2]
								"BOTTOMRIGHT", -- [3]
								-10, -- [4]
								0, -- [5]
							},
							["name"] = "ObjectiveTrackerFrameMover",
							["orgHeight"] = 700.000061035156,
							["height"] = 417.743377685547,
							["orgWidth"] = 234.999969482422,
							["pos"] = {
								"TOPRIGHT", -- [1]
								"MinimapCluster", -- [2]
								"BOTTOMRIGHT", -- [3]
								-83.299560546875, -- [4]
								-207.863159179688, -- [5]
							},
							["width"] = 234.999969482422,
						},
						["WorldStateAlwaysUpFrame"] = {
							["orgPos"] = {
								"TOP", -- [1]
								"UIParent", -- [2]
								"TOP", -- [3]
								-5, -- [4]
								-15, -- [5]
							},
							["name"] = "WorldStateAlwaysUpFrame",
							["pos"] = {
								"TOPLEFT", -- [1]
								"UIParent", -- [2]
								"TOPLEFT", -- [3]
								1045.25646972656, -- [4]
								-138.239135742188, -- [5]
							},
						},
						["HelpOpenWebTicketButton"] = {
							["orgPos"] = {
								"CENTER", -- [1]
								"MainMenuMicroButton", -- [2]
								"TOPRIGHT", -- [3]
								-3, -- [4]
								-26.0000019073486, -- [5]
							},
							["name"] = "HelpOpenWebTicketButton",
							["pos"] = {
								"CENTER", -- [1]
								"MainMenuMicroButton", -- [2]
								"TOPRIGHT", -- [3]
								-154.092529296875, -- [4]
								701.325012207031, -- [5]
							},
						},
					},
				},
			},
			["closeGUIOnEscape"] = false,
			["playSound"] = false,
			["noBags"] = false,
			["tooltips"] = true,  
		}			
		
		for k,v in pairs(LCI_MoveAnything_Install) do
			MADB[k] = v
			LCI.db.global.addonProfileVersion.MoveAnything = profileVersion
		end
	end
end