local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_OmniCC()
	if LCI.db.global.addonProfileVersion.OmniCC ~= profileVersion then
	
		LCI_OmniCC_Install = {
			["groups"] = {
			},
			["version"] = "6.1.0",
			["groupSettings"] = {
				["base"] = {
					["styles"] = {
						["seconds"] = {
							["scale"] = 1.00000000745058,
						},
						["minutes"] = {
							["scale"] = 1.00000000745058,
						},
						["soon"] = {
							["scale"] = 1.50000001490116,
						},
						["hours"] = {
							["scale"] = 0.75000000372529,
						},
						["charging"] = {
							["scale"] = 0.75000000372529,
						},
						["controlled"] = {
							["scale"] = 1.50000001490116,
						},
					},
					["mmSSDuration"] = 0,
					["spiralOpacity"] = 1.00999997742474,
					["minDuration"] = 2,
					["xOff"] = 0,
					["tenthsDuration"] = 0,
					["fontOutline"] = "OUTLINE",
					["minSize"] = 0.5,
					["minEffectDuration"] = 30,
					["fontSize"] = 16,
					["yOff"] = 0,
				},
			},   
		}			
		
		for k,v in pairs(LCI_OmniCC_Install) do
			OmniCC4Config[k] = v
			LCI.db.global.addonProfileVersion.OmniCC = profileVersion
		end
	end
end