local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_SmartRes2()
	if LCI.db.global.addonProfileVersion.SmartRes2 ~= profileVersion then
	
		LCI_SmartRes2_Install = {
			["char"] = {
				["Lunaramunasi - Wyrmrest Accord"] = {
					["knowsMassRes"] = true,
				},
			},
			["profiles"] = {
				["Default"] = {
					["timeOutBarsX"] = 1147.24424502871,
					["hideAnchor"] = true,
					["resBarsY"] = 537.421955995487,
					["randChatTbl"] = {
						"%p is bringing %t back to life!", -- [1]
						"Filthy peon! %p has to resurrect %t!", -- [2]
						"%p has to wake %t from eternal slumber.", -- [3]
						"%p is ending %t's dirt nap.", -- [4]
						"No fallen heroes! %p needs %t to march forward to victory!", -- [5]
						"%p doesn't think %t is immortal, but after this res cast, it is close enough.", -- [6]
						"Sleeping on the job? %p is disappointed in %t.", -- [7]
						"%p knew %t couldn't stay out of the fire. *Sigh*", -- [8]
						"Once again, %p pulls %t and their bacon out of the fire.", -- [9]
						"%p thinks %t should work on their Dodge skill.", -- [10]
						"%p refuses to accept blame for %t's death, but kindly undoes the damage.", -- [11]
						"%p grabs a stick. A-ha! %t was only temporarily dead.", -- [12]
						"%p is ressing %t", -- [13]
						"%p knows %t is faking. It was only a flesh wound!", -- [14]
						"Oh. My. God. %p has to breathe life back into %t AGAIN?!?", -- [15]
						"%p knows that %t dying was just an excuse to see another silly random res message.", -- [16]
						"Think that was bad? %p proudly shows %t the scar tissue caused by Hogger.", -- [17]
						"Just to be silly, %p tickles %t until they get back up.", -- [18]
						"FOR THE HORDE! FOR THE ALLIANCE! %p thinks %t should be more concerned about yelling FOR THE LICH KING! and prevents that from happening.", -- [19]
						"And you thought the Scourge looked bad. In about 10 seconds, %p knows %t will want a comb, some soap, and a mirror.", -- [20]
						"Somewhere, the Lich King is laughing at %p, because he knows %t will just die again eventually. More meat for the grinder!!", -- [21]
						"%p doesn't want the Lich King to get another soldier, so is bringing %t back to life.", -- [22]
						"%p wonders about these stupid res messages. %t should just be happy to be alive.", -- [23]
						"%p prays over the corpse of %t, and a miracle happens!", -- [24]
						"In a world of resurrection spells, why are NPC deaths permanent? It doesn't matter, since %p is making sure %t's death isn't permanent.", -- [25]
						"%p performs a series of lewd acts on %t's still warm corpse. Ew.", -- [26]
					},
					["reverseGrowth"] = true,
					["enableTimeOutBars"] = false,
					["resBarsX"] = 1166.93261100576,
					["timeOutBarsAnchor"] = false,
					["timeOutBarsY"] = 555.466913829696,
				},
			},   
		}			
		
		for k,v in pairs(LCI_SmartRes2_Install) do
			SmartRes2DB[k] = v
			LCI.db.global.addonProfileVersion.SmartRes2 = profileVersion
		end
	end
	
	if SmartRes2DB.profileKeys[CharInfo] == nil then
		tinsert(SmartRes2DB.profileKeys,CharInfo)
		SmartRes2DB.profileKeys[CharInfo] = "Default"
	elseif SmartRes2DB.profileKeys[CharInfo] ~= "Default" then
		SmartRes2DB.profileKeys[CharInfo] = "Default"
	end
end