local profileVersion = GetAddOnMetadata("LCI", "Version")

function LCI:Install_SacriRaidBuffed()
	if LCI.db.global.addonProfileVersion.SacriRaidBuffed ~= profileVersion then
	
		LCI_SacriRaidBuffed_Install = {
			["usingcustomicons"] = false,
			["iconsPerRowOrColumn"] = 6,
			["showifalone"] = true,
			["icondimension"] = 24,
			["godown"] = true,
			["showHordeMode"] = true,
			["showTooltip"] = false,
			["usebeautycase"] = false,
			["sp"] = "TOPRIGHT",
			["showHeroism"] = false,
			["fadeCombat"] = false,
			["goleft"] = true,
			["useaurora"] = false,
			["gap"] = 0,
			["showBloodlustBeforeFood"] = false,
			["bcbordersize"] = 6,
			["okA"] = 0.9,
			["backdrop"] = {
				["edgeFile"] = "Interface\\ChatFrame\\ChatFrameBackground",
				["bgFile"] = "Interface\\ChatFrame\\ChatFrameBackground",
				["edgeSize"] = 1,
				["insets"] = {
					["top"] = -1,
					["right"] = -1,
					["left"] = -1,
					["bottom"] = -1,
				},
			},
			["desaturate"] = true,
			["y"] = -20,
			["x"] = 0,
			["addborder"] = false,
			["vert"] = true,
			["fadeCombatAlpha"] = 0,
			["koA"] = 0.5,
			["fp"] = "TOPRIGHT",
			["showfoodFlask"] = true,   
		}			
		
		for k,v in pairs(LCI_SacriRaidBuffed_Install) do
			RaidB_DB[k] = v
			LCI.db.global.addonProfileVersion.SacriRaidBuffed = profileVersion
		end
	end
end