local profileVersion = GetAddOnMetadata("LCI", "Version")

function LCI:Install_TipTac()
	if LCI.db.global.addonProfileVersion.TipTac ~= profileVersion then
	
		LCI_TipTac_Install = {
			["showUnitTip"] = true,
			["classification_elite"] = "+%s ",
			["barHeight"] = 6,
			["overrideFade"] = true,
			["tipBackdropEdge"] = "Interface\\Tooltips\\UI-Tooltip-Border",
			["optionsLeft"] = 338.290679931641,
			["backdropEdgeSize"] = 14,
			["showTarget"] = "last",
			["tipBackdropBG"] = "Interface\\Buttons\\WHITE8X8",
			["fontFlags"] = "",
			["tipColor"] = {
				0.1, -- [1]
				0.1, -- [2]
				0.2, -- [3]
				1, -- [4]
			},
			["hideDefaultBar"] = true,
			["healthBar"] = true,
			["colRace"] = "|cffffffff",
			["tipBorderColor"] = {
				0.3, -- [1]
				0.3, -- [2]
				0.4, -- [3]
				1, -- [4]
			},
			["classification_normal"] = "%s ",
			["colLevel"] = "|cffc0c0c0",
			["healthBarClassColor"] = true,
			["reactColoredBorder"] = false,
			["classification_minus"] = "-%s ",
			["barFontFlags"] = "OUTLINE",
			["showAuraCooldown"] = false,
			["healthBarText"] = "value",
			["showDebuffs"] = false,
			["fontSize"] = 12,
			["classification_rare"] = "%s|r (Rare) ",
			["powerBar"] = false,
			["colorGuildByReaction"] = true,
			["showBuffs"] = false,
			["optionsBottom"] = 430.213775634766,
			["backdropInsets"] = 2.5,
			["gradientTip"] = false,
			["reactColoredBackdrop"] = false,
			["hideWorldTips"] = true,
			["classification_trivial"] = "~%s ",
			["classification_worldboss"] = "%s|r (Boss) ",
			["iconRaid"] = false,
			["colorNameByClass"] = false,
			["classColoredBorder"] = false,
			["healthBarColor"] = {
				0.3, -- [1]
				0.9, -- [2]
				0.3, -- [3]
				1, -- [4]
			},
			["manaBar"] = false,
			["gradientColor"] = {
				0.8, -- [1]
				0.8, -- [2]
				0.8, -- [3]
				0.2, -- [4]
			},
			["colSameGuild"] = "|cffff32ff",
			["fontFace"] = "Fonts\\FRIZQT__.TTF",
			["fadeTime"] = 0.1,
			["targetYouText"] = "<<YOU>>",
			["classification_rareelite"] = "+%s|r (Rare) ",
			["top"] = 226.42724609375,
			["preFadeTime"] = 0.1,
			["barFontFace"] = "Fonts\\ARIALN.TTF",
			["fontSizeDelta"] = 2,
			["left"] = 1984.43469238281,
			["barFontSize"] = 10,
			["barTexture"] = "Interface\\AddOns\\ShadowedUnitFrames\\media\\textures\\Minimalist",
			["iconFaction"] = false,   
		}			
		
		for k,v in pairs(LCI_TipTac_Install) do
			TipTac_Config[k] = v
			LCI.db.global.addonProfileVersion.TipTac = profileVersion
		end
	end
end