local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_XLoot()
	if LCI.db.global.addonProfileVersion.XLoot ~= profileVersion then
	
		LCI_XLoot_Install = {
			["namespaces"] = {
				["Group"] = {
					["profiles"] = {
						["Default"] = {
							["alert_anchor"] = {
								["visible"] = false,
								["y"] = 401.811889648438,
								["x"] = 424.948333740234,
							},
							["roll_anchor"] = {
								["visible"] = false,
								["y"] = 401.722839355469,
								["x"] = 251.405136108398,
							},
						},
					},
				},
				["Frame"] = {
				},
				["Master"] = {
				},
				["Monitor"] = {
					["profiles"] = {
						["Default"] = {
							["anchor"] = {
								["visible"] = false,
								["y"] = 401.941497802734,
								["x"] = 78.5504302978516,
							},
						},
					},
				},
			},   
		}			
		
		for k,v in pairs(LCI_XLoot_Install) do
			XLootADB[k] = v
			LCI.db.global.addonProfileVersion.XLoot = profileVersion
		end
	end
	
	if XLootADB.profileKeys[CharInfo] == nil then
		tinsert(XLootADB.profileKeys,CharInfo)
		XLootADB.profileKeys[CharInfo] = "Default"
	elseif XLootADB.profileKeys[CharInfo] ~= "Default" then
		XLootADB.profileKeys[CharInfo] = "Default"
	end
end