-- [[Resources]] --
local LCI_Media = "Interface\\AddOns\\LCI\\Media\\"

-- [[Bottom Bar Frame]] --
function LCI:BottomBar()
	LCI_BottomBar = CreateFrame("Frame", "LCI_BottomBar", UIParent)
	LCI_BottomBar:SetPoint("BOTTOM", UIParent, "BOTTOM")
	LCI_BottomBar:SetSize(1500, 200)
	-- [[1920x1080 Settings]] --
	if LCI.db.profile.ResTypeSet == "1920x1080" then
		LCI_BottomBar:SetScale(1.02)
	-- [[1600x1200 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1200" then
	-- [[1600x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1024" then
	-- [[1600x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x900" then
	-- [[1440x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1440x900" then
	-- [[1400x1050 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1400x1050" then
	-- [[1366x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1366x768" then
	-- [[1360x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1360x768" then
	-- [[1280x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x1024" then
	-- [[1280x800 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x800" then
	-- [[1280x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x768" then
	-- [[1280x720 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x720" then
	-- [[1176x664 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1176x664" then
	-- [[1152x864 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1152x864" then
	-- [[1024x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1024x768" then
	-- [[800x600 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "800x600" then
	-- [[720x576 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "720x576" then
	end
	LCI_BottomBar:SetFrameStrata("BACKGROUND")
	LCI_BottomBar:SetFrameLevel("4")
	
	LCI_BottomBar.bg = LCI_BottomBar:CreateTexture(nil, "ARTWORK")
	LCI_BottomBar.bg:SetTexture(LCI_Media .. "bar_bottom")
	LCI_BottomBar.bg:SetPoint("BOTTOM", UIParent, "BOTTOM")
	LCI_BottomBar.bg:SetSize(1024, 128)
		-- [[1920x1080 Settings]] --
	if LCI.db.profile.ResTypeSet == "1920x1080" then
	-- [[1600x1200 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1200" then
	-- [[1600x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1024" then
	-- [[1600x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x900" then
	-- [[1440x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1440x900" then
	-- [[1400x1050 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1400x1050" then
	-- [[1366x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1366x768" then
	-- [[1360x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1360x768" then
	-- [[1280x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x1024" then
	-- [[1280x800 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x800" then
	-- [[1280x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x768" then
	-- [[1280x720 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x720" then
	-- [[1176x664 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1176x664" then
	-- [[1152x864 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1152x864" then
	-- [[1024x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1024x768" then
	-- [[800x600 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "800x600" then
	-- [[720x576 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "720x576" then
	end

end