-- [[Resources]] --
local LCI_Media = "Interface\\AddOns\\LCI\\Media\\"

-- [[Bottom Left Bar]] --
function LCI:BottomLeftBar()
	LCI_BottomLeftBar = CreateFrame("Frame", "LCI_BottomLeftBar", UIParent)
	LCI_BottomLeftBar:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT")
	LCI_BottomLeftBar:SetSize(600, 100)
	-- [[1920x1080 Settings]] --
	if LCI.db.profile.ResTypeSet == "1920x1080" then
		LCI_BottomLeftBar:SetScale(1.02)
	-- [[1600x1200 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1200" then
	-- [[1600x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1024" then
	-- [[1600x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x900" then
	-- [[1440x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1440x900" then
	-- [[1400x1050 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1400x1050" then
	-- [[1366x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1366x768" then
	-- [[1360x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1360x768" then
	-- [[1280x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x1024" then
	-- [[1280x800 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x800" then
	-- [[1280x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x768" then
	-- [[1280x720 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x720" then
	-- [[1176x664 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1176x664" then
	-- [[1152x864 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1152x864" then
	-- [[1024x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1024x768" then
	-- [[800x600 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "800x600" then
	-- [[720x576 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "720x576" then
	end
	LCI_BottomLeftBar:SetFrameStrata("BACKGROUND")
	LCI_BottomLeftBar:SetFrameLevel("2")
	
	LCI_BottomLeftBar.bg = LCI_BottomLeftBar:CreateTexture(nil, "ARTWORK")
	LCI_BottomLeftBar.bg:SetTexture(LCI_Media .. "bg_bottomleftbar")
	LCI_BottomLeftBar.bg:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT")
	LCI_BottomLeftBar.bg:SetSize(512, 64)

end

function LCI:BottomLeft()
	-- [[Bottom Left Chat Background]] --
	LCI_BottomLeft = CreateFrame("Frame", "LCI_BottomLeft", UIParent)
	LCI_BottomLeft:SetPoint("BOTTOMLEFT")
	LCI_BottomLeft:SetSize(1500, 200)
	-- [[1920x1080 Settings]] --
	if LCI.db.profile.ResTypeSet == "1920x1080" then
		LCI_BottomLeft:SetScale(1.02)
	-- [[1600x1200 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1200" then
	-- [[1600x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1024" then
	-- [[1600x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x900" then
	-- [[1440x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1440x900" then
	-- [[1400x1050 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1400x1050" then
	-- [[1366x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1366x768" then
	-- [[1360x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1360x768" then
	-- [[1280x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x1024" then
	-- [[1280x800 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x800" then
	-- [[1280x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x768" then
	-- [[1280x720 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x720" then
	-- [[1176x664 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1176x664" then
	-- [[1152x864 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1152x864" then
	-- [[1024x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1024x768" then
	-- [[800x600 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "800x600" then
	-- [[720x576 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "720x576" then
	end
	LCI_BottomLeft:SetFrameStrata("BACKGROUND")
	LCI_BottomLeft:SetFrameLevel("1")
	
	LCI_BottomLeft.bg = LCI_BottomLeft:CreateTexture(nil, "ARTWORK")
	LCI_BottomLeft.bg:SetTexture(LCI_Media .. "bg_wolf")
	LCI_BottomLeft.bg:SetPoint("BOTTOMLEFT")
	LCI_BottomLeft.bg:SetSize(512, 256)
	LCI_BottomLeft.bg:SetAlpha(0.8)
	
end