-- [[Resources]] --
local LCI_Media = "Interface\\AddOns\\LCI\\Media\\"

-- [[Top Right Bar]] --
function LCI:TopRight()
	LCI_TopRightBar = CreateFrame("Frame", "LCI_TopRightBar", UIParent)
	LCI_TopRightBar:SetPoint("TOPRIGHT")
	LCI_TopRightBar:SetSize(1500, 200)
	if LCI.db.profile.ResTypeSet == "1920x1080" then
		LCI_TopRightBar:SetScale(1.02)
	end
	LCI_TopRightBar:SetFrameStrata("BACKGROUND")
	LCI_TopRightBar:SetFrameLevel("2")
	
	LCI_TopRightBar.bg = LCI_TopRightBar:CreateTexture(nil, "ARTWORK")
	LCI_TopRightBar.bg:SetTexture(LCI_Media .. "bg_toprightbar")
	LCI_TopRightBar.bg:SetPoint("TOPRIGHT")
	LCI_TopRightBar.bg:SetSize(512, 64)
end