local profileVersion = GetAddOnMetadata("LCI", "Version")

function LCI:Install_BasicChatMods()
	if LCI.db.global.addonProfileVersion.BasicChatMods ~= profileVersion then
	
		LCI_BasicChatMods_Install = {
			["lines"] = {
				["ChatFrame1"] = 1000,
			},
			["playerLBrack"] = "[",
			["sticky"] = {
				["EMOTE"] = 1,
				["YELL"] = 1,
				["RAID_WARNING"] = 1,
			},
			["BCM_Timestamp"] = true,
			["fontflag"] = "OUTLINE",
			["replacements"] = {
				"[GEN]", -- [1]
				"[T]", -- [2]
				"[WD]", -- [3]
				"[LD]", -- [4]
				"[LFG]", -- [5]
				"[GR]", -- [6]
				"[I]", -- [7]
				"[IL]", -- [8]
				"[G]", -- [9]
				"[P]", -- [10]
				"[PL]", -- [11]
				"[PL]", -- [12]
				"[O]", -- [13]
				"[R]", -- [14]
				"[RL]", -- [15]
				"[RW]", -- [16]
				"[%1]", -- [17]
			},
			["editBoxOnBottom"] = true,
			["playerRBrack"] = "]",
			["noEditBoxBG"] = true,
			["playerSeparator"] = ":",
		}			
		
		for k,v in pairs(LCI_BasicChatMods_Install) do
			bcmDB[k] = v
			LCI.db.global.addonProfileVersion.BasicChatMods = profileVersion
		end
	end

end