local profileVersion = GetAddOnMetadata("LCI", "Version")

function LCI:Install_Broker_Money()
	if not IsAddOnLoaded("Broker_Money") then return end
		
	if LCI.db.profile.addonCharProfileVersion.Broker_Money ~= profileVersion then
	
		LCI_Broker_Money_Install = {
			["ShowCoinIcons"] = false,
			["ShowColoredText"] = true,
			["ShowVariation"] = true,
			["ShortenGoldValue"] = true,
			["IconSize"] = 16,
			["CompressDisplay"] = false,
			["SortReverse"] = false,
			["Sorting"] = "Name",
		}
		
	for k,v in pairs(LCI_Broker_Money_Install) do
		Broker_MoneyConfig[k] = v
		LCI.db.profile.addonCharProfileVersion.Broker_Money = profileVersion
	end
	end
end