local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_GearGrinder()
	if LCI.db.global.addonProfileVersion.GearGrinder ~= profileVersion then
	
		LCI_GG_Settings = {
			["global"] = {
				["ProfWoDAlc2"] = true,
				["ToonHP"] = true,
				["version"] = 2,
				["ToonCPCap"] = true,
				["ProfWoDAlc1"] = true,
				["ToonGarRes"] = true,
				["ToonCP"] = true,
			},   
		}			
		
		for k,v in pairs(LCI_GG_Settings) do
			GG_Settings[k] = v
			LCI.db.global.addonProfileVersion.GearGrinder = profileVersion
		end
	end
	
	if GG_Settings.profileKeys[CharInfo] == nil then
		tinsert(GG_Settings.profileKeys,CharInfo)
		GG_Settings.profileKeys[CharInfo] = "Default"
	elseif GG_Settings.profileKeys[CharInfo] ~= "Default" then
		GG_Settings.profileKeys[CharInfo] = "Default"
	end
end