local profileVersion = GetAddOnMetadata("LCI", "Version")

function LCI:Install_GGSocialState()
	if LCI.db.global.addonProfileVersion.GGSocialState ~= profileVersion then
	
			LCI_GGSocialState_Install = {
				["RealIDSort"] = "REALID",
				["GuildSort"] = "RANKINDEX",
				["split_LDB_friends"] = false,
            	["tooltip_autohide"] = "0.25",
            	["hide_LDB_labels"] = true,
				["hide_LDB_totals"] = true,
			}
		
		for k,v in pairs(LCI_GGSocialState_Install) do
			GGSocialStateDB[k] = v
			LCI.db.global.addonProfileVersion.GGSocialState = profileVersion
		end
	end
end