local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_Masque()
	if LCI.db.global.addonProfileVersion.Masque ~= profileVersion then
	
		LCI_Masque_Install = {
			["namespaces"] = {	
        		["LibDualSpec-1.0"] = {    
        		},    
        	},    
        	["profiles"] = {    
        		["Default"] = {    
        			["Groups"] = {    
        				["Masque"] = {    
        					["SkinID"] = "Caith: No Shadow",    
        				},    
        			},    
        		},    
        	},    
		}			
		
		for k,v in pairs(LCI_Masque_Install) do
			MasqueDB[k] = v
			LCI.db.global.addonProfileVersion.Masque = profileVersion
		end
	end
	
	if MasqueDB.profileKeys[CharInfo] == nil then
		tinsert(MasqueDB.profileKeys,CharInfo)
		MasqueDB.profileKeys[CharInfo] = "Default"
	elseif MasqueDB.profileKeys[CharInfo] ~= "Default" then
		MasqueDB.profileKeys[CharInfo] = "Default"
	end
end