local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_NOP()
	if LCI.db.global.addonProfileVersion.NOP ~= profileVersion then
	
		LCI_NOP_Install = {
			["profiles"] = {
				["Default"] = {
					["char"] = {
						["settings"] = {
							["skinButton"] = true,
							["iconSize"] = 30,
							["version"] = "|cFFFFFFFF04.20 17.04.2015 use |cFFFF00FF/nop|cFFFFFFFF",
							["lockButton"] = true,
							["button"] = {
								"TOP", -- [1]
								nil, -- [2]
								"TOP", -- [3]
								-223.000015258789, -- [4]
								-35.0940628051758, -- [5]
							},
						},
					},
				},
			},    
		}			
		
		for k,v in pairs(LCI_NOP_Install) do
			NewOpenablesProfile[k] = v
			LCI.db.global.addonProfileVersion.NOP = profileVersion
		end
	end
	
	if NewOpenablesProfile.profileKeys[CharInfo] == nil then
		tinsert(NewOpenablesProfile.profileKeys,CharInfo)
		NewOpenablesProfile.profileKeys[CharInfo] = "Default"
	elseif NewOpenablesProfile.profileKeys[CharInfo] ~= "Default" then
		NewOpenablesProfile.profileKeys[CharInfo] = "Default"
	end
end