local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_Omen()
	if LCI.db.global.addonProfileVersion.Omen ~= profileVersion then
	
		LCI_Omen_Install = {
			["profiles"] = {
				["LCI"] = {
					["PositionW"] = 182.495651245117,
					["PositionH"] = 167.333389282227,
					["VGrip2"] = 104.934959436432,
					["PositionY"] = 198.538223266602,
					["Locked"] = true,
					["Background"] = {
						["BorderTexture"] = "None",
						["Texture"] = "None",
					},
					["VGrip1"] = 77.5606221921455,
					["PositionX"] = 1736.85327148438,
					["Shown"] = false,
					["Bar"] = {
						["FontOutline"] = "OUTLINE",
					},
				},
			},  
		}			
		
		for k,v in pairs(LCI_Omen_Install) do
			Omen3DB[k] = v
			LCI.db.global.addonProfileVersion.Omen = profileVersion
		end
	end
	
	if Omen3DB.profileKeys[CharInfo] == nil then
		tinsert(Omen3DB.profileKeys,CharInfo)
		Omen3DB.profileKeys[CharInfo] = "LCI"
	elseif Omen3DB.profileKeys[CharInfo] ~= "LCI" then
		Omen3DB.profileKeys[CharInfo] = "LCI"
	end
end