local profileVersion = GetAddOnMetadata("LCI", "Version")

function LCI:Install_PhanxBuffs()
	if LCI.db.global.addonProfileVersion.PhanxBuffs ~= profileVersion then
	
		LCI_PhanxBuffs_Install = {
			["buffPoint"] = "TOPRIGHT",
			["debuffY"] = -107,
			["buffX"] = -225,
			["debuffPoint"] = "TOPRIGHT",
			["debuffX"] = -226,
			["buffY"] = -36,    
		}			
		
		for k,v in pairs(LCI_PhanxBuffs_Install) do
			PhanxBuffsDB[k] = v
			LCI.db.global.addonProfileVersion.PhanxBuffs = profileVersion
		end
	end
end