local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_SimplePowerBar()
	if LCI.db.global.addonProfileVersion.SimplePowerBar ~= profileVersion then
	
		LCI_SimplePowerBar_Install = {
			["profiles"] = {
				["Default"] = {
					["anchor"] = "TOP",
					["x"] = -1.09409713745117,
					["y"] = -74.5299682617188,
				},
				["LCI"] = {
					["y"] = 505,
					["label"] = false,
					["locked"] = true,
					["StatusTex"] = "Smooth",
				},
			},   
		}			
		
		for k,v in pairs(LCI_SimplePowerBar_Install) do
			SimpPB_DB[k] = v
			LCI.db.global.addonProfileVersion.SimplePowerBar = profileVersion
		end
	end
	
	if SimpPB_DB.profileKeys[CharInfo] == nil then
		tinsert(SimpPB_DB.profileKeys,CharInfo)
		SimpPB_DB.profileKeys[CharInfo] = "Default"
	elseif SimpPB_DB.profileKeys[CharInfo] ~= "Default" then
		SimpPB_DB.profileKeys[CharInfo] = "Default"
	end
end