local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_TidyPlates()
	if LCI.db.profile.addonCharProfileVersion.TidyPlates ~= profileVersion then
	
		LCI_TidyPlates_Install = {
			["FriendlyAutomation"] = "No Automation",
			["EnemyAutomation"] = "No Automation",
			["SecondaryTheme"] = "Grey",
			["CompatibilityMode"] = false,
			["PrimaryTheme"] = "Grey",
			["DisableSoftTransitions"] = false,
			["WelcomeShown"] = true,   
		}			
		
		for k,v in pairs(LCI_TidyPlates_Install) do
			TidyPlatesOptions[k] = v
			LCI.db.profile.addonCharProfileVersion.TidyPlates = profileVersion
		end
	end
end