local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:TomTomMover(frame)
	TomTomCrazyArrow:SetPoint("TOPRIGHT", -103, -282)
end

function LCI:Install_TomTom()
	if not IsAddOnLoaded("TomTom") then return end

	if LCI.db.global.addonProfileVersion.TomTom ~= profileVersion then
	
		LCI_TomTom_Install = {
			["profiles"] = {
				["Default"] = {
					["arrow"] = {
						["lock"] = true,
					},
					["block"] = {
						["enable"] = false,
					},
				},
			},   
		}			
		
		for k,v in pairs(LCI_TomTom_Install) do
			TomTomDB[k] = v
			LCI.db.global.addonProfileVersion.TomTom = profileVersion
		end
	end
	
	if TomTomDB.profileKeys[CharInfo] == nil then
		tinsert(TomTomDB.profileKeys,CharInfo)
		TomTomDB.profileKeys[CharInfo] = "Default"
	elseif TomTomDB.profileKeys[CharInfo] ~= "Default" then
		TomTomDB.profileKeys[CharInfo] = "Default"
	end
end