-- [[Resources]] --
local LCI_Media = "Interface\\AddOns\\LCI\\Media\\"

-- [[Bottom Right Bar]] --
function LCI:BottomRight()
	LCI_BottomRightBar = CreateFrame("Frame", "LCI_BottomRightBar", UIParent)
	LCI_BottomRightBar:SetPoint("BOTTOMRIGHT")
	LCI_BottomRightBar:SetSize(1500, 200)
	if LCI.db.profile.ResTypeSet == "1920x1080" then
		LCI_BottomRightBar:SetScale(1.02)
	end
	LCI_BottomRightBar:SetFrameStrata("BACKGROUND")
	LCI_BottomRightBar:SetFrameLevel("2")
	
	LCI_BottomRightBar.bg = LCI_BottomRightBar:CreateTexture(nil, "ARTWORK")
	LCI_BottomRightBar.bg:SetTexture(LCI_Media .. "bg_bottomrightbar")
	LCI_BottomRightBar.bg:SetPoint("BOTTOMRIGHT")
	LCI_BottomRightBar.bg:SetSize(512, 64)
	
	-- [[Bottom Right Chat Background]] --
	LCI_BottomRightBG = CreateFrame("Frame", "LCI_BottomRightBG", UIParent)
	LCI_BottomRightBG:SetPoint("BOTTOMRIGHT")
	LCI_BottomRightBG:SetSize(1500, 200)
	if LCI.db.profile.ResTypeSet == "1920x1080" then
		LCI_BottomRightBG:SetScale(1.02)
	end
	LCI_BottomRightBG:SetFrameStrata("BACKGROUND")
	LCI_BottomRightBG:SetFrameLevel("1")
	
	LCI_BottomRightBG.bg = LCI_BottomRightBG:CreateTexture(nil, "ARTWORK")
	LCI_BottomRightBG.bg:SetTexture(LCI_Media .. "bg_wolf2")
	LCI_BottomRightBG.bg:SetPoint("BOTTOMRIGHT")
	LCI_BottomRightBG.bg:SetSize(512, 256)
	LCI_BottomRightBG.bg:SetAlpha(0.8)
end