-- [[Resources]] --
local LCI_Media = "Interface\\AddOns\\LCI\\Media\\"

-- [[Top Left Bar]] --
function LCI:TopLeft()
	LCI_TopLeftBar = CreateFrame("Frame", "LCI_TopLeftBar", UIParent)
	LCI_TopLeftBar:SetPoint("TOPLEFT")
	LCI_TopLeftBar:SetSize(1500, 200)
	if LCI.db.profile.ResTypeSet == "1920x1080" then
		LCI_TopLeftBar:SetScale(1.02)
	end
	LCI_TopLeftBar:SetFrameStrata("BACKGROUND")
	LCI_TopLeftBar:SetFrameLevel("2")
	
	LCI_TopLeftBar.bg = LCI_TopLeftBar:CreateTexture(nil, "ARTWORK")
	LCI_TopLeftBar.bg:SetTexture(LCI_Media .. "bg_topleftbar")
	LCI_TopLeftBar.bg:SetPoint("TOPLEFT")
	LCI_TopLeftBar.bg:SetSize(512, 64)
	
	-- [[Top Left Chat Background]] --
	LCI_TopLeftBG = CreateFrame("Frame", "LCI_TopLeftBG", UIParent)
	LCI_TopLeftBG:SetPoint("TOPLEFT")
	LCI_TopLeftBG:SetSize(1500, 200)
	if LCI.db.profile.ResTypeSet == "1920x1080" then
		LCI_TopLeftBG:SetScale(1.02)
	end
	LCI_TopLeftBG:SetFrameStrata("BACKGROUND")
	LCI_TopLeftBG:SetFrameLevel("1")
	
	LCI_TopLeftBG.bg = LCI_TopLeftBG:CreateTexture(nil, "ARTWORK")
	LCI_TopLeftBG.bg:SetTexture(LCI_Media .. "bg_wolf3")
	LCI_TopLeftBG.bg:SetPoint("TOPLEFT")
	LCI_TopLeftBG.bg:SetSize(512, 256)
	LCI_TopLeftBG.bg:SetAlpha(0.8)
	
	LCI_TopLeftBG.bg:Hide()
end